Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery
Interface XQTokens

    public interface XQTokens

This class assembles tokens which are used in the XQuery package.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Field Summary
`static byte[]` | `ALL` Parser fulltext token.
`static byte[]` | `AMP` Parser token.
`static byte[]` | `AND` Parser token.
`static byte[]` | `ANY` Parser fulltext token.
`static byte[]` | `APOS` Parser token.
`static byte[]` | `AS` Parser token.
`static byte[]` | `ASCENDING` Parser token.
`static byte[]` | `ASSIGN` Parser token.
`static byte[]` | `AT` Parser token.
`static byte[]` | `ATMARK` Parser token.
`static byte[]` | `ATTRIBUTE` Parser token.
`static byte[]` | `BASE` Base token.
`static byte[]` | `BASEURI` Parser token.
`static byte[]` | `BASEX` BaseX token.
`static byte[]` | `BOUNDARY` Parser token.
`static byte[]` | `BR1` Parser token.
`static byte[]` | `BR2` Parser token.
`static byte[]` | `BRACE1` Parser token.
`static byte[]` | `BRACE2` Parser token.
`static byte[]` | `BXURI` BaseX URI.
`static byte[]` | `BY` Parser token.
`static byte[]` | `CASE` Parser token.
`static byte[]` | `CAST` Parser token.
`static byte[]` | `CASTABLE` Parser token.
`static byte[]` | `CDATA` Parser token.
`static byte[]` | `COL2` Parser token.
`static byte[]` | `COLLATION` Parser token.
`static byte[]` | `COMMA` Parser token.
`static byte[]` | `COMMENT` Parser token.
`static byte[]` | `CONSTRUCTION` Parser token.
`static byte[]` | `CONTENT` Parser fulltext token.
`static byte[]` | `COPYNS` Parser token.
`static byte[]` | `DECLARE` Parser token.
`static byte[]` | `DEEPFS` DeepFS token.
`static byte[]` | `DEEPFSURI` DeepFS URI.
`static byte[]` | `DEFAULT` Parser token.
`static byte[]` | `DESCENDING` Parser token.
`static byte[]` | `DIACRITICS` Parser fulltext token.
`static byte[]` | `DIFFERENT` Parser fulltext token.
`static byte[]` | `DISTANCE` Parser fulltext token.
`static byte[]` | `DIV` Parser token.
`static byte[]` | `DOCUMENT` Parser token.
`static byte[]` | `DOLLAR` Parser token.
`static byte[]` | `DOT2` Parser token.
`static byte[]` | `ELEMENT` Parser token.
`static byte[]` | `ELSE` Parser token.
`static byte[]` | `EMPTYORD` Parser token.
`static byte[]` | `EMPTYORDER` Parser token.
`static byte[]` | `ENCODING` Parser token.
`static byte[]` | `END` Parser fulltext token.
`static byte[]` | `ENTIRE` Parser fulltext token.
`static byte[]` | `EVERY` Parser token.
`static byte[]` | `EX` Parser token.
`static byte[]` | `EXACTLY` Parser fulltext token.
`static byte[]` | `EXCEPT` Parser token.
`static byte[]` | `EXPRLIST` Parser token.
`static byte[]` | `EXTERNAL` Parser token.
`static byte[]` | `FN` FN token.
`static byte[]` | `FNURI` Functions URI.
`static byte[]` | `FOR` Parser token.
`static byte[]` | `FROM` Parser fulltext token.
`static byte[]` | `FTAND` Parser fulltext token.
`static byte[]` | `FTCONTAINS` Parser fulltext token.
`static byte[]` | `FTNOT` Parser fulltext token.
`static byte[]` | `FTOPTION` Parser fulltext token.
`static byte[]` | `FTOR` Parser fulltext token.
`static byte[]` | `FUNCTION` Parser token.
`static byte[]` | `GREATEST` Parser token.
`static byte[]` | `GT` Parser token.
`static byte[]` | `ID` ID token.
`static byte[]` | `IDIV` Parser token.
`static byte[]` | `IDREF` IDRef token.
`static byte[]` | `IF` Parser token.
`static byte[]` | `IMPORT` Parser token.
`static byte[]` | `IN` Parser token.
`static byte[]` | `INHERIT` Parser token.
`static byte[]` | `INSENSITIVE` Parser fulltext token.
`static byte[]` | `INSTANCE` Parser token.
`static byte[]` | `INTERSECT` Parser token.
`static byte[]` | `IS` Parser token.
`static byte[]` | `LANG` Language attribute.
`static byte[]` | `LANGUAGE` Parser fulltext token.
`static byte[]` | `LAX` Parser token.
`static byte[]` | `LBRA` Parser token.
`static byte[]` | `LEAST` Parser token.
`static byte[]` | `LET` Parser token.
`static byte[]` | `LEVELS` Parser fulltext token.
`static byte[]` | `LOCAL` XS token.
`static byte[]` | `LOCALURI` Local Functions URI.
`static byte[]` | `LOWERCASE` Parser fulltext token.
`static byte[]` | `LT` Parser token.
`static byte[]` | `MINUS` Parser token.
`static byte[]` | `MOD` Parser token.
`static byte[]` | `MODULE` Parser token.
`static byte[]` | `MOST` Parser fulltext token.
`static byte[]` | `MULT` Parser token.
`static byte[]` | `NAMESPACE` Parser token.
`static byte[]` | `NOINHERIT` Parser token.
`static byte[]` | `NOPRESERVE` Parser token.
`static byte[]` | `NOT` Parser fulltext token.
`static byte[]` | `OCCURS` Parser fulltext token.
`static byte[]` | `OF` Parser token.
`static byte[]` | `ONEZERO` Parser token.
`static byte[]` | `OPTION` Parser token.
`static byte[]` | `OR` Parser token.
`static byte[]` | `ORDERED` Parser token.
`static byte[]` | `ORDERING` Parser token.
`static byte[]` | `PAR1` Parser token.
`static byte[]` | `PAR2` Parser token.
`static byte[]` | `PARAGRAPH` Parser fulltext token.
`static byte[]` | `PARAGRAPHS` Parser fulltext token.
`static byte[]` | `PHRASE` Parser fulltext token.
`static byte[]` | `PI` Parser token.
`static byte[]` | `PIPE` Parser token.
`static byte[]` | `PLUS` Parser token.
`static byte[]` | `PRAGMA` Parser token.
`static byte[]` | `PRESERVE` Parser token.
`static byte[]` | `QUEST` Parser token.
`static byte[]` | `QUMARK` Parser token.
`static byte[]` | `QUOT` Parser token.
`static byte[]` | `QUOTE` Parser token.
`static byte[]` | `RELATIONSHIP` Parser fulltext token.
`static byte[]` | `RETURN` Parser token.
`static byte[]` | `SAME` Parser fulltext token.
`static byte[]` | `SATISFIES` Parser token.
`static byte[]` | `SCHEMA` Parser token.
`static byte[]` | `SCORE` Parser fulltext token.
`static byte[]` | `SEMI` Parser token.
`static byte[]` | `SENSITIVE` Parser fulltext token.
`static byte[]` | `SENTENCE` Parser fulltext token.
`static byte[]` | `SENTENCES` Parser fulltext token.
`static byte[]` | `SLASH` Parser token.
`static byte[]` | `SOME` Parser token.
`static byte[]` | `STABLE` Parser token.
`static byte[]` | `START` Parser fulltext token.
`static byte[]` | `STEMMING` Parser fulltext token.
`static byte[]` | `STOP` Parser fulltext token.
`static byte[]` | `STRICT` Parser token.
`static byte[]` | `STRIP` Parser token.
`static byte[]` | `TEXT` Parser token.
`static byte[]` | `THEN` Parser token.
`static byte[]` | `THESAURUS` Parser fulltext token.
`static byte[]` | `TIMES` Parser fulltext token.
`static byte[]` | `TO` Parser token.
`static byte[]` | `TREAT` Parser token.
`static byte[]` | `TYPESWITCH` Parser token.
`static byte[]` | `UNION` Parser token.
`static byte[]` | `UNORDERED` Parser token.
`static byte[]` | `UPPERCASE` Parser fulltext token.
`static byte[]` | `URLCOLL` Default collation.
`static byte[]` | `VALIDATE` Parser token.
`static byte[]` | `VARIABLE` Parser token.
`static byte[]` | `VERSION` Parser token.
`static byte[]` | `WEIGHT` Parser fulltext token.
`static byte[]` | `WHERE` Parser token.
`static byte[]` | `WILDCARDS` Parser fulltext token.
`static byte[]` | `WINDOW` Parser fulltext token.
`static byte[]` | `WITH` Parser fulltext token.
`static byte[]` | `WITHOUT` Parser fulltext token.
`static byte[]` | `WORD` Parser fulltext token.
`static byte[]` | `WORDS` Parser fulltext token.
`static byte[]` | `XML` XML token.
`static byte[]` | `XMLNS` Namespaces Declaration.
`static byte[]` | `XMLNSCOL` Namespaces Declaration.
`static byte[]` | `XMLNSURI` XMLNS URI.
`static byte[]` | `XMLURI` XML URI.
`static byte[]` | `XQUERY` Parser token.
`static byte[]` | `XS` XS token.
`static byte[]` | `XSI` XS token.
`static byte[]` | `XSIURI` XMLSchema Instance URI.
`static byte[]` | `XSURI` XMLSchema URI.

Field Detail

### ALL

    static final byte[] ALL

  Parser fulltext token.

### AMP

    static final byte[] AMP

  Parser token.

### AND

    static final byte[] AND

  Parser token.

### ANY

    static final byte[] ANY

  Parser fulltext token.

### APOS

    static final byte[] APOS

  Parser token.

### AS

    static final byte[] AS

  Parser token.

### ASCENDING

    static final byte[] ASCENDING

  Parser token.

### ASSIGN

    static final byte[] ASSIGN

  Parser token.

### AT

    static final byte[] AT

  Parser token.

### ATMARK

    static final byte[] ATMARK

  Parser token.

### ATTRIBUTE

    static final byte[] ATTRIBUTE

  Parser token.

### BASE

    static final byte[] BASE

  Base token.

### BASEURI

    static final byte[] BASEURI

  Parser token.

### BASEX

    static final byte[] BASEX

  BaseX token.

### BOUNDARY

    static final byte[] BOUNDARY

  Parser token.

### BR1

    static final byte[] BR1

  Parser token.

### BR2

    static final byte[] BR2

  Parser token.

### BRACE1

    static final byte[] BRACE1

  Parser token.

### BRACE2

    static final byte[] BRACE2

  Parser token.

### BXURI

    static final byte[] BXURI

  BaseX URI.

### BY

    static final byte[] BY

  Parser token.

### CASE

    static final byte[] CASE

  Parser token.

### CAST

    static final byte[] CAST

  Parser token.

### CASTABLE

    static final byte[] CASTABLE

  Parser token.

### CDATA

    static final byte[] CDATA

  Parser token.

### COL2

    static final byte[] COL2

  Parser token.

### COLLATION

    static final byte[] COLLATION

  Parser token.

### COMMA

    static final byte[] COMMA

  Parser token.

### COMMENT

    static final byte[] COMMENT

  Parser token.

### CONSTRUCTION

    static final byte[] CONSTRUCTION

  Parser token.

### CONTENT

    static final byte[] CONTENT

  Parser fulltext token.

### COPYNS

    static final byte[] COPYNS

  Parser token.

### DECLARE

    static final byte[] DECLARE

  Parser token.

### DEEPFS

    static final byte[] DEEPFS

  DeepFS token.

### DEEPFSURI

    static final byte[] DEEPFSURI

  DeepFS URI.

### DEFAULT

    static final byte[] DEFAULT

  Parser token.

### DESCENDING

    static final byte[] DESCENDING

  Parser token.

### DIACRITICS

    static final byte[] DIACRITICS

  Parser fulltext token.

### DIFFERENT

    static final byte[] DIFFERENT

  Parser fulltext token.

### DISTANCE

    static final byte[] DISTANCE

  Parser fulltext token.

### DIV

    static final byte[] DIV

  Parser token.

### DOCUMENT

    static final byte[] DOCUMENT

  Parser token.

### DOLLAR

    static final byte[] DOLLAR

  Parser token.

### DOT2

    static final byte[] DOT2

  Parser token.

### ELEMENT

    static final byte[] ELEMENT

  Parser token.

### ELSE

    static final byte[] ELSE

  Parser token.

### EMPTYORD

    static final byte[] EMPTYORD

  Parser token.

### EMPTYORDER

    static final byte[] EMPTYORDER

  Parser token.

### ENCODING

    static final byte[] ENCODING

  Parser token.

### END

    static final byte[] END

  Parser fulltext token.

### ENTIRE

    static final byte[] ENTIRE

  Parser fulltext token.

### EVERY

    static final byte[] EVERY

  Parser token.

### EX

    static final byte[] EX

  Parser token.

### EXACTLY

    static final byte[] EXACTLY

  Parser fulltext token.

### EXCEPT

    static final byte[] EXCEPT

  Parser token.

### EXPRLIST

    static final byte[] EXPRLIST

  Parser token.

### EXTERNAL

    static final byte[] EXTERNAL

  Parser token.

### FN

    static final byte[] FN

  FN token.

### FNURI

    static final byte[] FNURI

  Functions URI.

### FOR

    static final byte[] FOR

  Parser token.

### FROM

    static final byte[] FROM

  Parser fulltext token.

### FTAND

    static final byte[] FTAND

  Parser fulltext token.

### FTCONTAINS

    static final byte[] FTCONTAINS

  Parser fulltext token.

### FTNOT

    static final byte[] FTNOT

  Parser fulltext token.

### FTOPTION

    static final byte[] FTOPTION

  Parser fulltext token.

### FTOR

    static final byte[] FTOR

  Parser fulltext token.

### FUNCTION

    static final byte[] FUNCTION

  Parser token.

### GREATEST

    static final byte[] GREATEST

  Parser token.

### GT

    static final byte[] GT

  Parser token.

### ID

    static final byte[] ID

  ID token.

### IDIV

    static final byte[] IDIV

  Parser token.

### IDREF

    static final byte[] IDREF

  IDRef token.

### IF

    static final byte[] IF

  Parser token.

### IMPORT

    static final byte[] IMPORT

  Parser token.

### IN

    static final byte[] IN

  Parser token.

### INHERIT

    static final byte[] INHERIT

  Parser token.

### INSENSITIVE

    static final byte[] INSENSITIVE

  Parser fulltext token.

### INSTANCE

    static final byte[] INSTANCE

  Parser token.

### INTERSECT

    static final byte[] INTERSECT

  Parser token.

### IS

    static final byte[] IS

  Parser token.

### LANG

    static final byte[] LANG

  Language attribute.

### LANGUAGE

    static final byte[] LANGUAGE

  Parser fulltext token.

### LAX

    static final byte[] LAX

  Parser token.

### LBRA

    static final byte[] LBRA

  Parser token.

### LEAST

    static final byte[] LEAST

  Parser token.

### LET

    static final byte[] LET

  Parser token.

### LEVELS

    static final byte[] LEVELS

  Parser fulltext token.

### LOCAL

    static final byte[] LOCAL

  XS token.

### LOCALURI

    static final byte[] LOCALURI

  Local Functions URI.

### LOWERCASE

    static final byte[] LOWERCASE

  Parser fulltext token.

### LT

    static final byte[] LT

  Parser token.

### MINUS

    static final byte[] MINUS

  Parser token.

### MOD

    static final byte[] MOD

  Parser token.

### MODULE

    static final byte[] MODULE

  Parser token.

### MOST

    static final byte[] MOST

  Parser fulltext token.

### MULT

    static final byte[] MULT

  Parser token.

### NAMESPACE

    static final byte[] NAMESPACE

  Parser token.

### NOINHERIT

    static final byte[] NOINHERIT

  Parser token.

### NOPRESERVE

    static final byte[] NOPRESERVE

  Parser token.

### NOT

    static final byte[] NOT

  Parser fulltext token.

### OCCURS

    static final byte[] OCCURS

  Parser fulltext token.

### OF

    static final byte[] OF

  Parser token.

### ONEZERO

    static final byte[] ONEZERO

  Parser token.

### OPTION

    static final byte[] OPTION

  Parser token.

### OR

    static final byte[] OR

  Parser token.

### ORDERED

    static final byte[] ORDERED

  Parser token.

### ORDERING

    static final byte[] ORDERING

  Parser token.

### PAR1

    static final byte[] PAR1

  Parser token.

### PAR2

    static final byte[] PAR2

  Parser token.

### PARAGRAPH

    static final byte[] PARAGRAPH

  Parser fulltext token.

### PARAGRAPHS

    static final byte[] PARAGRAPHS

  Parser fulltext token.

### PHRASE

    static final byte[] PHRASE

  Parser fulltext token.

### PI

    static final byte[] PI

  Parser token.

### PIPE

    static final byte[] PIPE

  Parser token.

### PLUS

    static final byte[] PLUS

  Parser token.

### PRAGMA

    static final byte[] PRAGMA

  Parser token.

### PRESERVE

    static final byte[] PRESERVE

  Parser token.

### QUEST

    static final byte[] QUEST

  Parser token.

### QUMARK

    static final byte[] QUMARK

  Parser token.

### QUOT

    static final byte[] QUOT

  Parser token.

### QUOTE

    static final byte[] QUOTE

  Parser token.

### RELATIONSHIP

    static final byte[] RELATIONSHIP

  Parser fulltext token.

### RETURN

    static final byte[] RETURN

  Parser token.

### SAME

    static final byte[] SAME

  Parser fulltext token.

### SATISFIES

    static final byte[] SATISFIES

  Parser token.

### SCHEMA

    static final byte[] SCHEMA

  Parser token.

### SCORE

    static final byte[] SCORE

  Parser fulltext token.

### SEMI

    static final byte[] SEMI

  Parser token.

### SENSITIVE

    static final byte[] SENSITIVE

  Parser fulltext token.

### SENTENCE

    static final byte[] SENTENCE

  Parser fulltext token.

### SENTENCES

    static final byte[] SENTENCES

  Parser fulltext token.

### SLASH

    static final byte[] SLASH

  Parser token.

### SOME

    static final byte[] SOME

  Parser token.

### STABLE

    static final byte[] STABLE

  Parser token.

### START

    static final byte[] START

  Parser fulltext token.

### STEMMING

    static final byte[] STEMMING

  Parser fulltext token.

### STOP

    static final byte[] STOP

  Parser fulltext token.

### STRICT

    static final byte[] STRICT

  Parser token.

### STRIP

    static final byte[] STRIP

  Parser token.

### TEXT

    static final byte[] TEXT

  Parser token.

### THEN

    static final byte[] THEN

  Parser token.

### THESAURUS

    static final byte[] THESAURUS

  Parser fulltext token.

### TIMES

    static final byte[] TIMES

  Parser fulltext token.

### TO

    static final byte[] TO

  Parser token.

### TREAT

    static final byte[] TREAT

  Parser token.

### TYPESWITCH

    static final byte[] TYPESWITCH

  Parser token.

### UNION

    static final byte[] UNION

  Parser token.

### UNORDERED

    static final byte[] UNORDERED

  Parser token.

### UPPERCASE

    static final byte[] UPPERCASE

  Parser fulltext token.

### URLCOLL

    static final byte[] URLCOLL

  Default collation.

### VALIDATE

    static final byte[] VALIDATE

  Parser token.

### VARIABLE

    static final byte[] VARIABLE

  Parser token.

### VERSION

    static final byte[] VERSION

  Parser token.

### WEIGHT

    static final byte[] WEIGHT

  Parser fulltext token.

### WHERE

    static final byte[] WHERE

  Parser token.

### WILDCARDS

    static final byte[] WILDCARDS

  Parser fulltext token.

### WINDOW

    static final byte[] WINDOW

  Parser fulltext token.

### WITH

    static final byte[] WITH

  Parser fulltext token.

### WITHOUT

    static final byte[] WITHOUT

  Parser fulltext token.

### WORD

    static final byte[] WORD

  Parser fulltext token.

### WORDS

    static final byte[] WORDS

  Parser fulltext token.

### XML

    static final byte[] XML

  XML token.

### XMLNS

    static final byte[] XMLNS

  Namespaces Declaration.

### XMLNSCOL

    static final byte[] XMLNSCOL

  Namespaces Declaration.

### XMLNSURI

    static final byte[] XMLNSURI

  XMLNS URI.

### XMLURI

    static final byte[] XMLURI

  XML URI.

### XQUERY

    static final byte[] XQUERY

  Parser token.

### XS

    static final byte[] XS

  XS token.

### XSI

    static final byte[] XSI

  XS token.

### XSIURI

    static final byte[] XSIURI

  XMLSchema Instance URI.

### XSURI

    static final byte[] XSURI

  XMLSchema URI.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD